Bug 3535 - Add syspref to control display of My Messaging tab in OPAC
Summary: Add syspref to control display of My Messaging tab in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: rel_3_0
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Chris Cormack
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-17 03:08 UTC by Jane Wagner
Modified: 2012-10-25 22:52 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch email (10.11 KB, patch)
2009-10-01 12:09 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:51 UTC


---- Reported by jwagner@ptfs.com 2009-08-17 15:08:44 ----

Enhanced Messaging Preferences must be on for the system to be able to send hold email notices.  However, if it's on, then the My Messaging tab automatically shows in the OPAC.  I've added a syspref opacmsgtab.  If it is turned off, then the My Messaging tab will not show in the OPAC user account.  Also, the Items Borrowed Notifications and Items Returned Notifications section of the OPAC My Personal Details tab (with options for email and text message notifications) will not display.



---- Additional Comments From jwagner@ptfs.com 2009-08-17 15:12:02 ----

Sent patch August 17, 2009.



---- Additional Comments From jwagner@ptfs.com 2009-10-01 12:09:43 ----

Created an attachment
patch email





---- Additional Comments From jwagner@ptfs.com 2010-05-12 13:24:37 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3535




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3535 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3535
Imported an attachment (id=1397)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, chris@bigballofwax.co.nz.
   Previous assignee was jwagner@ptfs.com.
The original submitter of attachment 1397 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.